<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

defined('_IN_JOHNADM') or die('Error: restricted access');

// Проверяем права доступа
if ($rights < 9) {
    header('Location: http://johncms.com/?err');
    exit;
}
$user = functions::get_user($user);
if (!$user) {
    require('/incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('/incfiles/end.php');
    exit;
}
echo '<div class="phdr"><a href="index.php"><b>' . $lng['admin_panel'] . '</b></a> | Вывод средств</div>';

	if (isset($_GET['id'])){
		$time = time();	 
    $id=intval($_GET['id']);
   mysql_query('UPDATE `out_money` SET `status` = "1", `time_ok` = "'.$time.'" WHERE `id` = "'.$id.'" LIMIT 1');

}


$q = mysql_query("SELECT * FROM `out_money` ORDER BY id DESC LIMIT 5");

while ($post = mysql_fetch_assoc($q))
{
	
	echo '<div class="menu">';
echo "Время запроса: ".functions::display_date($post['time'])."</br>";
echo 'Кошелек: ';
echo htmlentities($post['wmr']);
echo '<br />Сумма: ';
echo htmlentities($post['rub']);
echo ' рублей<br />Статус: '; if ($post['status']!=0) {
echo '<font color="green"><b>Выплачено</b></font>';
echo '</br>Время выплаты:';
}else{
echo '<font color="red"><b>В ожидание</b></font>';}

echo '<br /><a href="/panel/index.php?act=out?id='.$post['id'].'">Вывести</a></div>';
}



?>